%----------------------------------------------------------
%   colors are and always will be unreliable
%   because they depend on the graphics adapter
%   because they depend on the monitor
%   because they depend on surrounding light
%   because they depend on perception
%   the only real option is: experiment!
%
%   the console sequence  ESC]Pnrrggbb  defines colors
%       n   color number        0-f
%       rr  red   component     00-ff   called blue in jed
%       gg  green component     00-ff
%       bb  blue  component     00-ff   called red in jed
%
%   the console sequence  ESC]R  will reset defaults
%
%   foreground      foreground
%   or              only
%   background
%
%   0 black         8 gray              impossible to tell
%   1 blue          9 brightblue
%   2 green         a brightgreen
%   3 cyan          b brightcyan
%   4 red           c brightred
%   5 magenta       d brightmagenta
%   6 brown         e yellow            brown may look red
%   7 lightgray     f white
%
%   if you only get dull colors, activate the framebuffer
%   adding vga=769 or higher to grub's kernel line
%
%   jed color names are in sldisply.c
%   jed color names are not same as in the console
%   jed color numbers are not same as the console color numbers!
%       3 <-> 6
%       1 <-> 4
%
%   when sending escape sequences to console to redefine
%
%       jed blue        use console color 4
%       jed cyan        use console color 6
%       jed red         use console color 1
%       jed brown       use console color 3
%
%   Remember that the console red component is jed blue component etc.
%
%----------------------------------------------------------

%   reset palette
tt_send ("\033]R");

tt_send ("\033]P51155ee");
%   This is a bright blue, numbered 5, and still called magenta!
%   The trick is required to use it as background color.
%   Linux accepts only colors 0-7 as background.
%   It does not necessarily work everywhere.


%   FOREGROUND ON BACKGROUND  -----------------------------

%   Set syntax colours in the syntax file, not here.

$0 = "black";
$1 = "blue";
$2 = "green";
$3 = "cyan";
$4 = "red";
$5 = "magenta";
$6 = "brown";
$7 = "lightgray";

$8 = "yellow";
$9 = "white";

set_color ("normal",    $9, $1);    % text fg/bg
set_color ("region",    $9, $5);    % block
set_color ("dollar",    $7, $1);    % continuation sign on long lines
set_color ("message",   $8, $1);    % messages
set_color ("error",     $7, $4);    % errors
set_color ("status",    $0, $7);    % status line

set_color ("menu",                  $0, $7);    % text in menu bar
set_color ("menu_char",             $4, $7);    % shortcut chars in menus
set_color ("menu_popup",            $0, $7);    % text in pulldowns
set_color ("menu_selection",        $9, $3);    % selected menu entry
set_color ("menu_selection_char",   $9, $3);    % shortcut char in selection

%%  in jed text mode, cursor has same colour as normal text
%%  under X11 it can have a distinct colour
%%  sue does colour the cursor distinctly

set_color ("cursor",    $9, $1);
set_color ("cursorovr", $1, $7);

%   If no syntax colouring is active,
%   control codes 0-31, 127 will be highlighted
%   according to the following setting:
set_color ("tab", $8, $1);
